> ## Documentation Index
> Fetch the complete documentation index at: https://www.cashfree.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Upload Payment Verification Details

> This API is used to upload the required payment details for theverification.



## OpenAPI

````yaml /openapi/cb-imports/merchant-spec.json post /import/transactions/{cf_payment_id}
openapi: 3.0.3
info:
  title: LRS
  version: '4'
servers:
  - url: https://sandbox.cashfree.com/
    description: Sandbox server
  - url: https://api.cashfree.com/
    description: Production server
security:
  - {}
paths:
  /import/transactions/{cf_payment_id}:
    post:
      summary: Upload Payment Verification Details
      description: >-
        This API is used to upload the required payment details for
        theverification.
      operationId: upload-payment-verification-details
      parameters:
        - name: cf_payment_id
          in: path
          description: Successful payment ID for the created order.
          schema:
            type: number
          required: true
        - name: x-client-id
          in: header
          description: Client ID generated from the merchant dashboard.
          required: true
          schema:
            type: string
        - name: x-client-secret
          in: header
          description: Client secret generated from the merchant dashboard.
          required: true
          schema:
            type: string
        - name: x-api-version
          in: header
          description: API version to be used. Format is in YYYY-MM-DD.
          required: true
          schema:
            type: string
            default: '2023-08-01'
      requestBody:
        content:
          multipart/form-data:
            schema:
              type: object
              required:
                - doc_name
              properties:
                file:
                  type: string
                  description: Attach file for the given doc_name if input_type is DOCUMENT
                  format: binary
                  example: '@/path/to/file.pdf'
                doc_value:
                  type: string
                  description: >-
                    Pass the doc value for the given doc_name if input_type is
                    VALUE
                doc_name:
                  type: string
                  description: Required doc name for the given payment
            examples:
              doc_value:
                summary: Sample using doc_value as a string
                value:
                  doc_name: <string>
                  doc_value: <string>
              file:
                summary: Sample using file upload
                value:
                  doc_name: <string>
                  file: '@/path/to/file.pdf'
      responses:
        '200':
          description: Success response for getting the payment verification details.
          content:
            application/json:
              examples:
                Success Response:
                  value:
                    uploaded_documents:
                      - doc_name: goods_description
                        doc_type: VALUE
                        doc_status: IN_REVIEW
                        remarks: null
                        added_on: null
                        last_updated_on: null
                      - doc_name: invoice_number
                        doc_type: VALUE
                        doc_status: VERIFIED
                        remarks: null
                        added_on: null
                        last_updated_on: null
                      - doc_name: importer_name
                        doc_type: VALUE
                        doc_status: IN_REVIEW
                        remarks: null
                        added_on: null
                        last_updated_on: null
                      - doc_name: importer_address
                        doc_type: VALUE
                        doc_status: VERIFIED
                        remarks: null
                        added_on: null
                        last_updated_on: null
                      - doc_name: country_of_origin
                        doc_type: VALUE
                        doc_status: IN_REVIEW
                        remarks: null
                        added_on: null
                        last_updated_on: null
                    missing_documents:
                      - doc_name: invoice_file
                        doc_type: DOCUMENT
                        doc_status: ACTION_REQUIRED
                        remarks: null
                        added_on: null
                        last_updated_on: null
                      - doc_name: ecommerce_order_serial_number
                        doc_type: VALUE
                        doc_status: ACTION_REQUIRED
                        remarks: null
                        added_on: null
                        last_updated_on: null
                      - doc_name: hs_code
                        doc_type: VALUE
                        doc_status: ACTION_REQUIRED
                        remarks: null
                        added_on: null
                        last_updated_on: null
                      - doc_name: shipment_date
                        doc_type: VALUE
                        doc_status: ACTION_REQUIRED
                        remarks: null
                        added_on: null
                        last_updated_on: null
                      - doc_name: port_of_loading
                        doc_type: VALUE
                        doc_status: ACTION_REQUIRED
                        remarks: null
                        added_on: null
                        last_updated_on: null
                      - doc_name: awb_number
                        doc_type: VALUE
                        doc_status: ACTION_REQUIRED
                        remarks: null
                        added_on: null
                        last_updated_on: null
              schema:
                type: object
                properties:
                  missing_documents:
                    type: array
                    items:
                      type: object
                      properties:
                        doc_name:
                          description: Name of the missing doc
                          type: string
                          example: importer_name
                        doc_status:
                          description: Status of the missing doc
                          type: string
                          example: ACTION_REQUIRED
                        doc_type:
                          description: Type of the missing doc
                          type: string
                          example: VALUE
                        remarks:
                          description: Remarks for the missing doc
                          type: string
                          example: Doc is waiting to be uploaded
                        added_on:
                          description: Date and time at which the doc requirement was added
                          type: string
                        last_updated_on:
                          description: Date and time at which the doc was uploaded
                          type: string
                  uploaded_documents:
                    type: array
                    items:
                      type: object
                      properties:
                        doc_name:
                          description: Name of the missing doc
                          type: string
                          example: importer_name
                        doc_status:
                          description: Status of the missing doc
                          type: string
                          example: ACTION_REQUIRED
                        doc_type:
                          description: Type of the missing doc
                          type: string
                          example: VALUE
                        remarks:
                          description: Remarks for the missing doc
                          type: string
                          example: Doc is waiting to be uploaded
                        added_on:
                          description: Date and time at which the doc requirement was added
                          type: string
                          example: '2025-01-16T12:34:10+05:30'
                        last_updated_on:
                          description: Date and time at which the doc was uploaded
                          type: string
                          example: '2025-01-16T12:34:10+05:30'
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Invalid input document:
                  value:
                    message: Input document - gstin, not recognized,
                    code: request_invalid,
                    type: invalid_request_error
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Input document - gstin, not recognized
                  code:
                    type: string
                    example: request_invalid
                  type:
                    type: string
                    example: invalid_request_error
        '401':
          description: '401'
          content:
            application/json:
              examples:
                Result:
                  value:
                    type: authentication_error,
                    message: authentication Failed,
                    code: request_failed
              schema:
                type: object
                properties:
                  type:
                    type: string
                    example: authentication_error
                  message:
                    type: string
                    example: authentication Failed
                  code:
                    type: string
                    example: request_failed
        '404':
          description: '404'
          content:
            application/json:
              examples:
                Transaction not found:
                  value:
                    message: Transaction not found,
                    code: transaction_not_found,
                    type: invalid_request_error
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Transaction not found
                  code:
                    type: string
                    example: transaction_not_found
                  type:
                    type: string
                    example: invalid_request_error
      deprecated: false

````